centos7编写翻译安装mplayez网赌十大信誉的平台

CentOS安装yasm

下载目录:

从该目录下可以找到合适平台的合适版本。

命令安装:
# wget

# tar zxvf yasm-1.3.0.tar.gz
# cd yasm-1.3.0
# ./configure
# make && make install

下载目录:

从该目录下可以找到合适平台的合适版本。 命令安装: # wget

网赌十大信誉的平台 1

centos7编译安装mplayez

1.首先下载源代码:.
可以先试一下svn能用不,我的不能使用所以下载的Subversion
snapshot。正如dawnload页面所说,如果编译最新版本需要ffmpeg,可以下载outdate
releases
复制其中的ffmpeg文件夹到snapshot解压的文件夹中。(有点累,不过svn我的不好使,如果svn能用的就省心了);

2.在Downloads目录wget

下载成功后,解压这个包。

tar -zxvf essential-amd64-20071007.tar.bz2
然后将加压出来的文件夹里面的所有文件复制到制定目录:
sudo mkdir /usr/local/lib/codecs
sudo cp essential-amd64-20071007/* /usr/local/lib/codecs

3.到 yasm-1.2.0-4.sdl7.x86_64.rpm
并安装 sudo rpm -ivh …

然后sudo yum install gtk2* gcc(先看自己又没有 rpm -qa | grep gtk*)

4.进入解压出来的mplayer文件夹进行sudo ./configure –enable-gui
–language=zh_CN –enable-alsa
–prefix=/usr/local/mplayer(最后一个加了就都安装到这个文件夹了,但是需要自己编写mplayer.desktop文件已在应用程序栏显示,且无法右击打开一个视频文件;没有这一步则不存在这个问题,个中体会)

如果找到Successfully,就可以make,如果报错则看一下然后解决。不过这样走下来应该没有问题。

然后sudo make

最后 sudo make install

5.然后就是皮肤了

cd ~/Downloads

wget 并解压

将解压出来的整个文件夹复制到制定目录:
sudo cp -R Blue /usr/local/share/mplayer/skins/

为这个Blue文件夹做个软链接,名字叫default。像这样:
cd /usr/local/share/mplayer/skins/
sudo ln -s Blue/ default,完事了。

1.首先下载源代码:.
可以先试一下svn能用不,我的不能使用所以下载的Subversion snapsh…

最近我的视频课《ffmpeg精讲与实战》终于与大家见面了。在学生学习的过程中不断有学生反馈一些问题,其中较多的是如何在Windows
上编译 ffmpeg。

在Linux/Mac下编译 ffmpeg是非常方便的。但要在 Windows下编译
ffmpeg还真要花点时间。不过为了满足学员的要求,也方便自己不再被这类问题打扰,今天我就写一下在
Windowns下编译ffmpeg的步骤,以供大家参考。

在windows下安装 ffmpeg 的最好方式就是使用Cygwin。
Cygwin是什么呢?简单的说,就是在
Windows上装了一个Linux模拟器。然后你可以在这个模拟器上按照Linux的方式操作
Windows系统。因此,Windows安装了Cygwin之后,你就把它当Linux用就可以了。

既然在Windows上装Cygwin之后,可以像Linux一样操作,那当然编译ffmpeg也就相当的方便了。下面我们就开始安装它吧。

  • 首先,到 Cygwin官网下载 Cygwin 的可执行程序
    setup-x86_64.exe。当然,它是 64位的,如果你现在还在用
    32位的,那请在 Cygwin官网上找 32位对应的版本。

  • 第二步安装Cygwin。安装
    Cygwin的操作非常简单,就是下一步,下一步。但需要注意一点,在安装的时候我们需要将必须的包安装上。主要有下面几个包:1.
    gcc2. g++3. make4. cmake5. automake6. gdb7. nasm8. yasm9. wget

这几个包如何安装呢?要在选择方装包的界面里选”Full“选项,它表式在所有的可安装包里选择,然后在搜索框里填入上面的关键字就可以搜索到了。经过上面的步骤你应该已经成功将
Cygwin 安装到你的 Windows 系统上了。

虽然我们上面安装好了 Cygwin,但还是很不方便,为什么呢?主要是因为
Cygwin目前设计的还不是很人性化。如果我们安装好Cygwin后,如果缺少了某个包想安装的话就特别麻烦。还需要重新安装
Cygwin才能解决,有没有更好的方式呢?

你遇到的困难,别人也会遇到,不同的是你要么忍了,要么不用了。可别人遇到困难后会去解决困难,这才是人与人之间最大的不同。

话扯的有点远哈。没错,已经有人帮我们解决了这个问题。这是一个很好用的开源工具,它叫
apt-cyg。它与 Ubuntu系统中的 apt一样特别好用,而且使用的方式与
apt也是一个样子的。

如何安装它呢?网上有很多方法,但很多不可行。大家按我这个方法操作一定可以安装成功。

其实,apt-cyg就是一个脚本。我们只需要将这个脚本下载下来就OK了。这里是apt-cyg的下载地址。大家可以在Cygwin下执行下面的命令就好了。

  • 第一步:

    wget -c https://raw.githubusercontent.com/transcode-open/apt-cyg/master/apt-cyg
    
  • 第二步

    install apt-cyg /bin
    

有了这个神器,我们就可以安装一些Linux下的常用命令了,是不是很爽?

先别高兴的太早,虽然有了apt-cyg这个神器,但它目前只能安装Linux下的一些常用命令,像我们编译时需要的
x264, x265这些库它是无法找到的。

不能找到的原因也很简单,是由于没有人把编译好的库放到apt-cyg
可以够到的源上。

没有办法,所以我们还必须要用最原始的方法,下代码自己进行编译。下面我们就一步一步的来吧

  • 编译 yasm

wget

zxvf yasm-1.3.0.tar.gzcd yasm-1.3.0./configuremake && sudo make
install

  • 编译 fdk-aac

wget

xvf fdk-aac-0.1.6.tar.gzcd fdk-aac-0.1.6./configuremake && sudo make
install

  • 安装lame

wget

-xzf lame-3.99.5.tar.gzcd lame-3.99.5./configure
–prefix=/usr/localmake && sudo make install

注:编译lame遇到的问题:

  • 问题一:在Cygwin下安装 lame的时候遇到执行 ./configure
    失败的情况。如
    "error: cannot guess build type; you must sepcify one",对这个问题可以通过下面的步骤来解决:
  1. 安装automake。可以通过 which automake来确认automake
    是否已经安装。如果没有安装,可以通使用
    apt-cyg install automake进行安装。
  2. 确认automake当前版本。可执行automake --version获取当前automake的版本号。
  3. 将 lame目录下的 config.guess文件替换为
    /usr/share/automake-version下的config.guess 文件。
  4. 此时,再执行./configure进就可以下成功了。
  • 问题二:make时出现
    "error: '_O_BINARY' undeclared (first use in this function)"的错误,解决办法如下:
  1. 打开出错文件 vi ./frontend/lametime.c
  2. 将下面这段代码注释掉

/*#elif defined __CYGWINsetmod(fileno, _O_BINARY);*/
  1. 再执行make就可以成功了。
  • 安装nasm

wget

xvf nasm-2.13.03.tar.gzcd nasm-2.13.03./configuremake && sudo make
install

  • 安装x264

wget

last_x264.tar.bz2tar -vxf last_x264.tar./configure –enable-static
–enable-shared –disable-asm –disable-avsmake && sudo make install

  • 安装ffmpeg从ffmpeg官网下载代码编译, 编译方法如下:

wget -c
ffmpeg-4.0.2.tar.bz2cd ffmpeg-4.0.2.tar.bz2./configure
–prefix=/usr/local/ffmpeg –enable-gpl –enable-small –arch=x86_64
–enable-nonfree –enable-libfdk-aac –enable-libx264
–enable-filter=delogo –enable-debug –disable-optimizations
–enable-sharedmake && sudo make install

  • 问题一:找不到 fdk-aac库

    在编译ffmpeg时,有可能会报找不到fdk_aac库的错误。此时我们应该设置一下
    PKG_CONFIG_PATH,指定ffmpeg到哪里找我们安装好的库。

    上面通过源码安装的库,默认地址为/usr/local/lib下面,当然你可以通过./configure
    中的–prefix参数改变这个目录。

    如果使用默认路径的话,可以通过下面的命令来指定编译时去哪里找库

    export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/usr/local/lib/pkgconfig
    

    如果你改变了默认路径,则将后面的
    /usr/local/lib/pkgconfig修改为你变更后的路径/xxx/.../lib/pkgconfig即可。

通过上面的步骤我们就可以成功的从 Window上编译出我们可以执行的 ffmpeg了。

需要注意的是,ffmpeg是高度可订制的,你可以根据自己的需要编译出支持不同编解码的ffmpeg库,但方法都是一样的。(不知这句话同学们是否真正理解?)

总的思路就是ffmpeg缺什么库,我们就下载相应库的源码给它编译好。然后增加ffmpeg相应的配置选项,再重新编译
ffmpeg。

有了上面的知识,我们也可以编译出支持
x265的ffmpeg了,对不对?千万不要告诉我你还不会哟!

《ffmpeg精讲与实战》《移动端音视频入门》

Post Author: admin

发表评论

电子邮件地址不会被公开。 必填项已用*标注